import LoginForm, { type LoginFormValue } from "./LoginForm";

export default function LoginFormData() {
	function handleOnFormSubmit(data: LoginFormValue) {
		fetch(`${import.meta.env.PUBLIC_API_URL}/accounts/login`, {
			method: "POST",
			body: JSON.stringify(data),
			credentials: "include",
			headers: {
				Accept: "application/json",
				"Content-Type": "application/json",
			},
		})
			.then((res) => res.json())
			.then((json) => {
				window.location.href = "/home";
			})
			.catch((err) => console.log(err));
	}

	return <LoginForm onSubmit={handleOnFormSubmit} />;
}
